/* Reflow Oven Controller
*
* Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __SAFETY_ADC_HWCFG_H__
#define __SAFETY_ADC_HWCFG_H__

#include <stm32/stm32f4xx.h>

#define SAFETY_ADC_ADC_PERIPHERAL ADC1
#define SAFETY_ADC_ADC_RCC_MASK RCC_APB2ENR_ADC1EN
#define TEMP_CHANNEL_NUM (16)
#define INT_REF_CHANNEL_NUM (17)

#define SAFETY_ADC_INT_REF_MV 1210.0f

#define SAFETY_ADC_TEMP_NOM 25.0f
#define SAFETY_ADC_TEMP_NOM_MV 760.0f
#define SAFETY_ADC_TEMP_MV_SLOPE 2.5f


#endif /* __SAFETY_ADC_HWCFG_H__ */
