/* Reflow Oven Controller
 *
 * Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of the Reflow Oven Controller Project.
 *
 * The reflow oven controller is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the reflow oven controller project.
 * If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __SHELL_H__
#define __SHELL_H__

#include <stddef.h>
#include <shellmatta.h>

shellmatta_handle_t shell_init(shellmatta_write_t write_func);

void shell_handle_input(shellmatta_handle_t shell, const char *data, size_t len);

void shell_print_string(shellmatta_handle_t shell, const char *string);

void shell_print_motd(shellmatta_handle_t shell);

#endif /* __SHELL_H__ */
