/* Reflow Oven Controller
 *
 * Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
 *
 * This file is part of the Reflow Oven Controller Project.
 *
 * The reflow oven controller is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * GDSII-Converter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the reflow oven controller project.
 * If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __STM_RNG_H__
#define __STM_RNG_H__

#include <stdint.h>
#include <stdbool.h>

enum random_number_error {
	RNG_ERROR_OK = 0,
	RNG_ERROR_INACT,
	RNG_ERROR_INTERNAL_ERROR,
	RNG_ERROR_NOT_READY
};

void random_number_gen_init(bool int_enable);

void random_number_gen_deinit();

void random_number_gen_reset(bool int_en);

enum random_number_error random_number_gen_get_number(uint32_t *random_number, bool wait_for_valid_value);

#endif /* __STM_RNG_H__ */
