/* Reflow Oven Controller
*
* Copyright (C) 2020  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#include <reflow-controller/settings/settings.h>
#include <reflow-controller/settings/settings-sd-card.h>

int settings_save_calibration(float sens_deviation, float offset, bool active)
{
	/* There is no other configuration location besides the SD card (yet) */
	return sd_card_settings_save_calibration(sens_deviation, offset, active);
}

int settings_load_calibration(float *sens_dev, float *offset)
{
	return sd_card_settings_try_load_calibration(sens_dev, offset);
}
